Work in progress. Some documented features are not live yet.

Create plan

POST
/v1/plans

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/plans" \  -H "Content-Type: application/json" \  -d '{    "key": "string",    "name": "string",    "amountCents": 0,    "currency": "string",    "interval": "month",    "featureLimits": [      {        "featureKey": "string",        "limit": 0      }    ]  }'
{  "key": "string",  "name": "string",  "amountCents": 0,  "currency": "string",  "interval": "month",  "featureLimits": [    {      "featureKey": "string",      "limit": 0,      "period": "month",      "overage": "block"    }  ],  "creditGrants": [],  "featureMultipliers": [],  "topupsEnabled": true,  "active": true,  "id": "string",  "revision": 0,  "createdAt": 0,  "stripeProductId": "string",  "stripePriceId": "string",  "syncStatus": "pending",  "syncError": "string"}